Name:           k12linux-quick-start-guide
Version:        0.0.10
Release:        3%{?dist}
Summary:        Quick Start Guide for K12Linux Live LTSP Server

Group:          Documentation
License:        CC-BY-SA
URL:            http://peterscheie.fedorapeople.org/k12linux/quick-start-guide
Source0:        http://peterscheie.fedorapeople.org/k12linux/quick-start-guide/k12linux-quick-start-guide-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       bluecurve-icon-theme 

%description
Documentation for configuring networking on K12Linux LTSP Server to
enable support for thin clients.  Covers LiveUSB and hard disk configurations. 
The admin should remove this package after the setup is complete.


%prep
%setup -q


%build
echo "Nothing to build"


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/skel/Desktop/
mkdir -p -m 0755 $RPM_BUILD_ROOT%{_datadir}/k12linux-quick-start-guide/
cp -a "K12Linux Quick Start Guide.desktop" $RPM_BUILD_ROOT%{_sysconfdir}/skel/Desktop/
chmod 0644 $RPM_BUILD_ROOT%{_sysconfdir}/skel/Desktop/*
cp -a docs/* $RPM_BUILD_ROOT%{_datadir}/k12linux-quick-start-guide/
chmod 0644 $RPM_BUILD_ROOT%{_datadir}/k12linux-quick-start-guide/*


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
# None of this is marked %%doc because this package must be whole during runtime
%{_sysconfdir}/skel/Desktop/*
%{_datadir}/k12linux-quick-start-guide/



%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 04 2009 Peter Scheie <peter@scheie.homedns.org> - 0.0.10-1
- Moved 'version 5' phrase describing version of LTSP to bottom of html
  document.
- Changed wording of WARNING about the dhcp server to CAUTION and emphasized
  that the bridge should only be connected to an isolated switch with the TCs.

* Fri Jan 02 2009 Peter Scheie <peter@scheie.homedns.org> - 0.0.9-1
- Consolidated 'rpm -e' commands for removing the guide to a single step.
- Changed link to newer version of how to get on #ltsp at ltsp.org.

* Mon Dec 29 2008 Peter Scheie <peter@scheie.homedns.org> - 0.0.8-1
- Changed html document regarding removing the document from the
  system from referencing ltsp-server-livesetupdocs to k12linux-quick-start-guide.

* Sun Dec 21 2008 Peter Scheie <peter@scheie.homedns.org> - 0.0.7-1
- Changed license in spec from GPLv2+ to CC-BY-SA.
- Used a different screenshot for step #10 in html which more clearly shows
  the device names.  Deleted the sentence that said to close the
  window because it was replaced by the File-Save verbage added in
  0.0.6.

* Sun Dec 21 2008 Peter Scheie <peter@scheie.homedns.org> - 0.0.6-1
- Removed version number for bluecurve-icon-theme for Requires in spec.
- Changed version number referenced in Source0 line to use %{version}.
- Changed Step 10 in html doc to use File-Save rather quit, save; replaced 
  corresponding screenshot.
- Replaced tabs with spaces in spec.

* Thu Dec 18 2008 Peter Scheie <peter@scheie.homedns.org> - 0.0.5
- Added mising Requires to spec for icon.
- Removed GenericName[en_US]= line from .desktop.
- Added blank line between each revision in changelog.

* Wed Dec 17 2008 Peter Scheie <peter@scheie.homedns.org> - 0.0.4
- Fixed path to document in .desktop file.
- Changed path to icon to actual file instead of symlink in .desktop file.
- Removed Icon[en_US] and Name[en_US] lines from .desktop file because they
  were redundant.
- Added CC license in html document.
- Changed URL to fedorapeople.org site.

* Sun Nov 16 2008 Peter Scheie <peter@scheie.homedns.org> - 0.0.3
- Reworked opening section to cover running from LiveUSB and from hard disk, since
  document is mostly about network config to enable LTSP support.
- Removed words about deleting the document launcher from /etc/skel; added back in
  step on removing entire package via rpm -e command.
- Added link to Fedora Installation Guide in reference to adding user IDs.
- Changed name and all allusions from README and ltsp-server-livesetupdocs to 
  k12linux-quick-start-guide.
- Changed screenshots so they show 'K12Linux Quick Start Guide' on desktop instead
  of 'README LTSP Server Setup'.

* Thu Nov 13 2008 Peter Scheie <peter@scheie.homedns.org> - 0.0.2
- Updated screencapture image for step 8 to one in which the interface in question is highlighted.
- Changed name of document to K12Linux Quick Start Guide to emphasize that this is just a simple
  set of instructions for getting LTSP networking running.
- Removed last step, of removing this package, as it's not really necessary since this is just a
  quick start guide.
* Sun Oct 12 2008 Warren Togami <wtogami@redhat.com> - 0.0.1
- initial package
